using SpamClassifier.Core.Models;

namespace SpamClassifier.Core.Abstractions;

public interface ISpamClassifier
{
    /// <summary>
    /// Train model from file at given path.
    /// </summary>
    void Train(string dataPath);

    /// <summary>
    /// Classify single text message as spam or not spam.
    /// </summary>
    TextMessagePrediction Predict(string text);
}
